<?php
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro                                                           |
 +--------------------------------------------------------------------------+
 | Copyright (c) 2004 by Dirk Randhahn                                      |
 | http://sourceforge.net/projects/phpmybackup/                             |
 | Version information can be found in definitions.php.                     |
 |                                                                          |
 | This program is free software; you can redistribute it and/or            |
 | modify it under the terms of the GNU General Public License              |
 | as published by the Free Software Foundation; either version 2           |
 | of the License, or (at your option) any later version.                   |
 |                                                                          |
 | This program is distributed in the hope that it will be useful,          |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
 | GNU General Public License for more details.                             |
 |                                                                          |
 | You should have received a copy of the GNU General Public License        |
 | along with this program; if not, write to the Free Software              |
 | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.|
 +--------------------------------------------------------------------------+
*/

include("login.php");
include_once("definitions.php");

// print html header
echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01//EN\"
   \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
<link rel=\"stylesheet\" href=\"".STYLE_CSS."\" type=\"text/css\">
<title>phpMyBackupPro - ".INF_INFO."</title>
</head>
<table border=\"0\" cellspacing=\"2\" cellpadding=\"0\" width=\"90%\">\n
<tr><th colspan=\"2\" class=\"active\"><span class=\"pmbp1\">php</span><span class=\"pmbp2\">MyBackup</span><span class=\"pmbp3\">Pro</span><span class=\"pmbp4\"> ".VERSION."</span></th></tr>
";

// get and print the informations about the $_GET['file'] backup file
if($_GET['file']) {
    echo "<tr><td><div class=\"bold_left\"><br><br>".INF_DATE.":</div></td><td><br><br>".strftime($CONF['date'],file_info("time","./".EXPORT_DIR.$_GET['file']))."</td></tr>\n";
    echo "<tr><td><div class=\"bold_left\">".INF_DB.":</div></td><td>".file_info("db","./".EXPORT_DIR.$_GET['file'])."</td></tr>\n";
    $size=size_type(file_info("size","./".EXPORT_DIR.$_GET['file']));
    echo "<tr><td><div class=\"bold_left\">".INF_SIZE.":</div></td><td>".$size['value']." ".$size['type']."</td></tr>\n";
    if (file_info("gzip","./".EXPORT_DIR.$_GET['file'])) $gzip=F_YES; else $gzip=F_NO;
    echo "<tr><td><div class=\"bold_left\">".INF_GZIP.":</div></td><td>".$gzip."</td></tr>\n";
    echo "<tr><td><div class=\"bold_left\">".INF_DROP.":</div></td><td>".file_info("drop","./".EXPORT_DIR.$_GET['file'])."</td></tr>\n";
    echo "<tr><td><div class=\"bold_left\">".INF_TABLES.":</div></td><td>".file_info("tables","./".EXPORT_DIR.$_GET['file'])."</td></tr>\n";
    echo "<tr><td><div class=\"bold_left\">".INF_DATA.":</div></td><td>".file_info("data","./".EXPORT_DIR.$_GET['file'])."</td></tr>\n";
    echo "<tr><td colspan=\"2\"><br><div class=\"bold_left\">".INF_COMMENT.":</div></td></tr>\n";
    echo "<tr><td colspan=\"2\">".comment("get",$_GET['file'])."</td></tr>\n";
} else{

// return error message if no file was selected
    echo "<tr><td><div class=\"bold\">".INF_NO_FILE."!</div></td></tr>\n";
}

echo "</table>\n</body>\n</html>";
?>
